Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class JmsMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory
          org.mule.transport.jms.JmsMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

    public class JmsMuleMessageFactory

extends AbstractMuleMessageFactory

Field Summary

Fields inherited from class org.mule.transport.AbstractMuleMessageFactory
`muleContext`

Constructor Summary
`JmsMuleMessageFactory(MuleContext context)`

Method Summary
`protected void` | `addCorrelationProperties(Message jmsMessage, MuleMessage muleMessage, Map<String,Object> messageProperties)`
`protected void` | `addDeliveryModeProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected void` | `addDestinationProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected void` | `addExpirationProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected void` | `addJMSReplyTo(MuleMessage muleMessage, Message jmsMessage)`
`protected void` | `addMessageIdProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected void` | `addPriorityProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected void` | `addProperties(DefaultMuleMessage muleMessage, Object transportMessage)`
`protected void` | `addRedeliveredProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected void` | `addTimestampProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected void` | `addTypeProperty(Message jmsMessage, Map<String,Object> messageProperties)`
`protected Object` | `extractPayload(Object transportMessage, String encoding)`
`protected Class<?>[]` | `getSupportedTransportMessageTypes()`
`protected void` | `propagateJMSProperties(Message jmsMessage, Map<String,Object> messageProperties)`

Methods inherited from class org.mule.transport.AbstractMuleMessageFactory
`addAttachments, create, create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsMuleMessageFactory

    public JmsMuleMessageFactory(MuleContext context)

Method Detail

### getSupportedTransportMessageTypes

    protected Class<?>[] getSupportedTransportMessageTypes()

  Specified by:
    `getSupportedTransportMessageTypes` in class `AbstractMuleMessageFactory`

### extractPayload

    protected Object extractPayload(Object transportMessage,
                                    String encoding)
                             throws Exception

  Specified by:
    `extractPayload` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### addProperties

    protected void addProperties(DefaultMuleMessage muleMessage,
                                 Object transportMessage)
                          throws Exception

  Overrides:
    `addProperties` in class `AbstractMuleMessageFactory`
  Throws:
    `Exception`

### propagateJMSProperties

    protected void propagateJMSProperties(Message jmsMessage,
                                          Map<String,Object> messageProperties)

### addTypeProperty

    protected void addTypeProperty(Message jmsMessage,
                                   Map<String,Object> messageProperties)

### addTimestampProperty

    protected void addTimestampProperty(Message jmsMessage,
                                        Map<String,Object> messageProperties)

### addJMSReplyTo

    protected void addJMSReplyTo(MuleMessage muleMessage,
                                 Message jmsMessage)

### addRedeliveredProperty

    protected void addRedeliveredProperty(Message jmsMessage,
                                          Map<String,Object> messageProperties)

### addPriorityProperty

    protected void addPriorityProperty(Message jmsMessage,
                                       Map<String,Object> messageProperties)

### addMessageIdProperty

    protected void addMessageIdProperty(Message jmsMessage,
                                        Map<String,Object> messageProperties)

### addExpirationProperty

    protected void addExpirationProperty(Message jmsMessage,
                                         Map<String,Object> messageProperties)

### addDestinationProperty

    protected void addDestinationProperty(Message jmsMessage,
                                          Map<String,Object> messageProperties)

### addDeliveryModeProperty

    protected void addDeliveryModeProperty(Message jmsMessage,
                                           Map<String,Object> messageProperties)

### addCorrelationProperties

    protected void addCorrelationProperties(Message jmsMessage,
                                            MuleMessage muleMessage,
                                            Map<String,Object> messageProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.